/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package ability;

import gameobject.character.Character;

/**
 * Class representing a defend ability
 * @author jordan
 * @version Jan 6 2014
 */
public class DefendAbility {

	
	protected float energyUse;
	protected Character character;
	
	/**
	 * Constructor
	 * @param energyUse the energy used up by the ability
	 * @param character the character to whom this ability belongs
	 */
	public DefendAbility(float energyUse, Character character)
	{
		this.energyUse = energyUse;
		this.character = character;
		
	}
	
	/**
	 * Gets the energy usage
	 * @return energyUse
	 */
	public float getEnergyUse()
	{
		return energyUse;
	}

}
