/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package event;

import gameobject.GameObject;

/**
 * This event contains information for the goal manager to update goal priorities
 * @author jordan
 *
 */
public class AIEvent {
	
	private GameObject sender;
	private AIEventType type;
	
	/**
	 * Constructor
	 * @param sender the object sending the event
	 */
	public AIEvent(GameObject sender, AIEventType type)
	{
		this.sender = sender;
		this.type = type;
	}
	
	/**
	 * Get the sender of the event
	 * @return sender
	 */
	public GameObject getSender()
	{
		return sender;
	}
	
	/**
	 * Get the type of event
	 * @return type
	 */
	public AIEventType getType()
	{
		return type;
	}

}
