/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package event;

import gameobject.GameObject;

/**
 * An event representing a collision between with a GameObject
 * The event is passed to the handler of the other GameObject
 * @author jordan
 * @version Oct 3 2013
 */
public class CollisionEvent {
	
	private GameObject collidingObject;
	
	/**
	 * Constructor
	 * @param collidingObject the object that has been collided with
	 */
	public CollisionEvent(GameObject collidingObject)
	{
		this.collidingObject = collidingObject;
	}
	
	/**
	 * Get the colliding object
	 * @return the GameObject
	 */
	public GameObject getCollidingObject()
	{
		return collidingObject;
	}
	
}
