/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package event;

import gameobject.GameObject;

/**
 * An event to be sent to the Graph when an object moves
 * @author jordan
 * @version Oct 3 2013
 */
public class MovementEvent {
	
	private GameObject movingObject;
	
	/**
	 * Constructor
	 * @param movingObject the object that has moved
	 */
	public MovementEvent(GameObject movingObject)
	{
		this.movingObject = movingObject;
	}
	
	/**
	 * Get the moving object
	 * @return the GameObject
	 */
	public GameObject getMovingObject()
	{
		return movingObject;
	}
	
}