package gameobject.character;

import game.GameScreen;
import game.QuestMain;
import gameobject.AbstractGameObject;
import gameobject.GameObject;
import gameobject.ObjectType;

import java.util.ArrayList;

import manager.CollisionManager;
import menu.Size;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.Texture.TextureFilter;
import com.badlogic.gdx.graphics.g2d.Animation;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

import event.CollisionEvent;

public class DeadTree extends AbstractGameObject {
	private final static float TREE_SIZE_X = 0.05f;
	private final static float TREE_SIZE_Y = 0.1f;
	private final float TREE_X;
	private final float TREE_Y;
	private final String TREE = "assets/data/terrain/deadtree.png";
	private Texture texture;
	private TextureRegion region;
	
	private final static float MAX_HEALTH = 100.00f;
	private float health;

	public DeadTree(float x, float y) throws Exception {
		super(x, y, TREE_SIZE_X, TREE_SIZE_Y, ObjectType.DESTRUCTABLE);
		TREE_X = x;
		TREE_Y = y;
		
		//CollisionManager.getInstance().subscribeObject(this);
		
		GameScreen gameScreen = QuestMain.getCurrentScreen();
		
		texture = new Texture(Gdx.files.internal(TREE));
		gameScreen.addTexture(texture);
		
		texture.setFilter(TextureFilter.Linear, TextureFilter.Linear);
		region = new TextureRegion(texture, 0, 0,
				Size.ICON, Size.PORTRAIT);
		
		name = "Destructable Tree";
		
		health = MAX_HEALTH;
	}
	
	public TextureRegion getImageToDraw(){
		return region;
	}
	
	public void handleCollision(CollisionEvent cevent){
		GameObject object = cevent.getCollidingObject();
		
	}
	
	public void attacked(float damage)
	{
		health -= damage;
		
		if(health <= 0)
		{
			markedForDeath = true;
		}
	}
}
