/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package hud;

import game.GameScreen;
import game.QuestMain;
import menu.Size;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.Texture.TextureFilter;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public abstract class AbilityIcon{
	protected final float ICON_X;
	protected final float ICON_Y;
	protected final float ICON_SIZE_X = 0.05f;
	protected final float ICON_SIZE_Y = 0.05f;
	protected final String IMAGE;
	protected final String OTHER_IMAGE;
	
	protected Texture texture;
	protected Texture otherTexture;
	protected TextureRegion abilityIconRegion;

	public AbilityIcon(String fileName, String otherFileName, float x,
			float y){
		ICON_X = x;
		ICON_Y = y;
		IMAGE = fileName;
		OTHER_IMAGE = otherFileName;
		
		GameScreen gameScreen = QuestMain.getCurrentScreen();
		
		texture = new Texture(Gdx.files.internal(IMAGE));
		gameScreen.addTexture(texture);
		otherTexture = new Texture(Gdx.files.internal(OTHER_IMAGE));
		gameScreen.addTexture(otherTexture);
		
		abilityIconRegion = new TextureRegion(texture, 0, 0, Size.PORTRAIT,
				Size.PORTRAIT);
	}
	
	public abstract void update();

	public TextureRegion getRegion() {
		return abilityIconRegion;
	}

	public float getWidth() {
		return ICON_SIZE_X;
	}

	public float getHeight() {
		return ICON_SIZE_Y;
	}
}