package hud;

import game.GameScreen;
import game.QuestMain;
import menu.Size;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public class Alert {
	private static Alert instance = null;
	
	private final String IMAGE = "assets/data/dialogue/level1/alert.png";
	
	private float X = 0.25f;
	private float Y = 0.15f;
	private float SIZE_X = 0.25f;
	private float SIZE_Y = 0.1f;
	
	private Texture texture;
	private TextureRegion region;
	private static boolean active;
	private int timer;
	
	private Alert(){
		texture = new Texture(Gdx.files.internal(IMAGE));
		
		region = new TextureRegion(texture, 0,0, Size.QUARTERSCREEN, Size.ICON);
		
		active = false;
		timer = 100;
	}
	
	public static Alert makeNewInstance(){
		if(instance == null){
			instance = new Alert();
			return instance;
		}
		return instance;
	}

	public static Alert getInstance() {
		return instance;
	}

	public void draw(SpriteBatch spriteBatch) {
		if(!active)
			return;
		
		spriteBatch.draw(region, X, Y, SIZE_X, SIZE_Y);
		
		if(timer > 0)
			timer--;
		else if(timer == 0){
			active = false;
			timer = 100;
		}
	}
	
	public void activate(){
		active = true;
	}
}
