/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package hud;

import game.GameScreen;
import game.QuestMain;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.Texture.TextureFilter;

import ability.SpecialAbility;

/**
 * Icon that displays the status of a character's special ability
 * @author Phoenix
 */
public class SpecialIcon extends AbilityIcon{
	private final String COOLDOWN_IMAGE;
	private Texture cooldownTexture;
	private SpecialAbility ability;
	
	public SpecialIcon(String fileName, String otherFileName,
			String cooldownFileName, SpecialAbility a, float x, float y){
		super(fileName, otherFileName, x, y);
		
		COOLDOWN_IMAGE = cooldownFileName;
		ability = a;
		
		GameScreen gameScreen = QuestMain.getCurrentScreen();
		
		cooldownTexture = new Texture(Gdx.files.internal(COOLDOWN_IMAGE));
		gameScreen.addTexture(cooldownTexture);
	}
	
	public void update(){
	}
}
