/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package menu;

import com.badlogic.gdx.Gdx;

/**
 * Helper class for processing input
 * @author Eyleen
 */
public class Input {

	public static float convertScreenCoorsX(int screenX) {
		return (((float) screenX / Gdx.graphics.getWidth()) < 0.5f) ?
				(-0.5f + (((float) screenX / Gdx.graphics.getWidth()))) :
					((((float) screenX / Gdx.graphics.getWidth())) - 0.5f);
	}

	public static float convertScreenCoorsY(int screenY) {
		return (((float) screenY / Gdx.graphics.getHeight()) < 0.5f) ?
				(0.5f - (((float) screenY / Gdx.graphics.getHeight()))) :
					(((((float) screenY / Gdx.graphics.getHeight())) - 0.5f) * -1);
	}

	public static boolean inRange(float x, float y, float locX, float locY,
			float sizeX, float sizeY){
		if(x >= locX && x <= (locX + sizeX)	&& y >= locY && y <= (locY + sizeY)){
			return true;
		}
		return false;
	}
}
