/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package menu;

import com.badlogic.gdx.Gdx;

/**
 * Load confirmation overlay
 * @author Eyleen
 * @version Jan 03 2014
 */
public class LoadOverlay extends Overlay{

	/**
	 * Constructor
	 * @throws Exception
	 */
	protected LoadOverlay() throws Exception {
		super("assets/data/overlay/load.png");
	}
	
	@Override
	public void confirmed(){
		deactivate();
		LoadMenuScreen.getInstance().loadGame();
		LoadMenuScreen.getInstance().deactivate();
	}
	
	@Override
	public void rejected(){
		deactivate();
		Gdx.input.setInputProcessor(LoadMenuScreen.getInstance());
	}
}
