/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package menu;

import game.AssetLoader;

import com.badlogic.gdx.Gdx;

/**
 * Confirmation overlay for quitting the game 
 * @author Eyleen
 * @version Jan 9 2014
 */
public class QuitGameOverlay extends Overlay{

	protected QuitGameOverlay() throws Exception {
		super("assets/data/overlay/quit.png");
	}

	@Override
	public void confirmed() {
		AssetLoader assetLoader = AssetLoader.getInstance();
		assetLoader.dispose();
		System.exit(0);
	}

	@Override
	public void rejected() {
		deactivate();
		Gdx.input.setInputProcessor(MainMenuScreen.getInstance());
	}
}
