package menu;

import com.badlogic.gdx.Gdx;

import game.QuestMain;
import hud.HUD;

public class RestartOverlay extends Overlay {
	private QuestMain game;
	
	protected RestartOverlay(QuestMain g) throws Exception {
		super("assets/data/overlay/restart.png");
		game = g;
	}

	@Override
	public void confirmed() {
		game.resumeGame();
		deactivate();
		Gdx.input.setInputProcessor(HUD.getMultiplexer());
	}

	@Override
	public void rejected() {
		deactivate();
		Gdx.input.setInputProcessor(PauseOverlay.getInstance());
	}
}
