package menu;

import game.QuestMain;

import com.badlogic.gdx.Gdx;

/**
 * Confirmation dialogue to return to the main menu
 * @author Eyleen
 */
public class ReturnOverlay extends Overlay {
	private QuestMain game;
	
	protected ReturnOverlay(QuestMain g) throws Exception {
		super("assets/data/overlay/return.png");
		game = g;
	}

	@Override
	public void confirmed() {
		game.returnToMenu();
		deactivate();
		Gdx.input.setInputProcessor(MainMenuScreen.getInstance());
	}

	@Override
	public void rejected() {
		deactivate();
		Gdx.input.setInputProcessor(PauseOverlay.getInstance());
	}
}
