/*******************************************************************************
 * This file was developed for an MQP project at Worcester Polytechnic Institute.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/

package strategy.statemachine.actions;

import gameobject.character.Character;

/**
 * Action to be performed while idle
 * @author jordan
 * @version Jan 26 2014
 */
public class IdleAction implements ActionFunction {
	
	private Character character;
	
	/**
	 * Constructor
	 * @param character the character to whom this action belongs
	 */
	public IdleAction(Character character)
	{
		this.character = character;
	}

	/*
	 * @see strategy.ActionFunction#performAction()
	 */
	@Override
	public void performAction() {
		
		// no movement
		character.setMovingRight(false);
		character.setMovingLeft(false);
		character.setMovingUp(false);
		character.setMovingDown(false);
	}

}
